PRETTYPING(1)

NAME
prettyping - a better ping tool based on iputils-ping

SYNOPSIS
prettyping [prettypingparameters] <standardpingparameters>

DESCRIPTION
This script is a wrapper around the system's "ping" tool. It will substitute each ping response line by a colored character, giving a very compact overview of the ping responses.

  prettypingparameters:

--[no]color
    Enable/disable color output. (default: enabled)

--[no]multicolor
    Enable/disable multi-color unicode output. Has no effect if either color or unicode is disabled. (default: enabled)

--[no]unicode
    Enable/disable unicode characters. (default: enabled)

--[no]legend
    Enable/disable the latency legend. (default: enabled)

--[no]terminal
    Force the output designed to a terminal. (default: auto)

--last <n>
    Use the last "n" pings at the statistics line. (default: 60)

--columns <n>
    Override auto-detection of terminal dimensions.

--lines <n>
    Override auto-detection of terminal dimensions.

--rttmin <n>
    Minimum RTT represented in the unicode graph. (default: auto)

--rttmax <n>
    Maximum RTT represented in the unicode graph. (default: auto)

--awkbin <exec>
    Override the awk interpreter. (default: awk)

--pingbin <exec> Override the ping tool. (default: ping)

-6  Shortcut for: --pingbin ping6

  ping parameters handled by prettyping:

-a  Audible ping is not implemented yet.

-f  Flood mode is not allowed in prettyping.

-q  Quiet output is not allowed in prettyping.

-R  Record route mode is not allowed in prettyping.

-v  Verbose output seems to be the default mode in ping.

All other parameters are passed directly to ping.

SEE ALSO

ping(8).